RedHat: Moderate: gaim security update
Posted by Benjamin D. Thomas   
RedHat Linux An updated gaim package that fixes two denial of service issues is now available. This update has been rated as having moderate security impact by the Red Hat Security Response Team.
- ---------------------------------------------------------------------
                   Red Hat Security Advisory

Synopsis:          Moderate: gaim security update
Advisory ID:       RHSA-2005:518-01
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2005-518.html
Issue date:        2005-06-16
Updated on:        2005-06-16
Product:           Red Hat Enterprise Linux
CVE Names:         CAN-2005-1269 CAN-2005-1934
- ---------------------------------------------------------------------

1. Summary:

An updated gaim package that fixes two denial of service issues is now
available.

This update has been rated as having moderate security impact by the Red
Hat Security Response Team.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS version 3 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Desktop version 3 - i386, x86_64
Red Hat Enterprise Linux ES version 3 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 3 - i386, ia64, x86_64
Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

3. Problem description:

The Gaim application is a multi-protocol instant messaging client.

Jacopo Ottaviani discovered a bug in the way Gaim handles Yahoo! Messenger
file transfers. It is possible for a malicious user to send a specially
crafted file transfer request that causes Gaim to crash. The Common
Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name
CAN-2005-1269 to this issue.

Additionally, Hugo de Bokkenrijder discovered a bug in the way Gaim parses
MSN Messenger messages. It is possible for a malicious user to send a
specially crafted MSN Messenger message that causes Gaim to crash. The
Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned
the name CAN-2005-1934 to this issue.

Users of gaim are advised to upgrade to this updated package, which contains
version 1.3.1 and is not vulnerable to these issues.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via Red Hat Network.  To use Red Hat Network,
launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate
RPMs being upgraded on your system.

5. Bug IDs fixed (http://bugzilla.redhat.com/):

159691 - CAN-2005-1269 Gaim yahoo utf8 crasher
159961 - CAN-2005-1934 Gaim MSN protocol DoS


6. RPMs required:

Red Hat Enterprise Linux AS version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3AS/en/os/SRPMS/gaim-1.3.1-0.el3.src.rpm
6e3487b80f03bbbebc60b691ca140292  gaim-1.3.1-0.el3.src.rpm

i386:
28008d055a4e79ed522e10f0c50dc662  gaim-1.3.1-0.el3.i386.rpm

ia64:
e47396490f16e145080a04f3964cff85  gaim-1.3.1-0.el3.ia64.rpm

ppc:
eb0c29e0807f7f466d17138bbd92aecd  gaim-1.3.1-0.el3.ppc.rpm

s390:
bec845ba4dccde9375d8a875a953510e  gaim-1.3.1-0.el3.s390.rpm

s390x:
3fff9511488e4303d1526b934698a8ed  gaim-1.3.1-0.el3.s390x.rpm

x86_64:
df11ddc642891aa0c6ed61621dd301ec  gaim-1.3.1-0.el3.x86_64.rpm

Red Hat Desktop version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3desktop/en/os/SRPMS/gaim-1.3.1-0.el3.src.rpm
6e3487b80f03bbbebc60b691ca140292  gaim-1.3.1-0.el3.src.rpm

i386:
28008d055a4e79ed522e10f0c50dc662  gaim-1.3.1-0.el3.i386.rpm

x86_64:
df11ddc642891aa0c6ed61621dd301ec  gaim-1.3.1-0.el3.x86_64.rpm

Red Hat Enterprise Linux ES version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3ES/en/os/SRPMS/gaim-1.3.1-0.el3.src.rpm
6e3487b80f03bbbebc60b691ca140292  gaim-1.3.1-0.el3.src.rpm

i386:
28008d055a4e79ed522e10f0c50dc662  gaim-1.3.1-0.el3.i386.rpm

ia64:
e47396490f16e145080a04f3964cff85  gaim-1.3.1-0.el3.ia64.rpm

x86_64:
df11ddc642891aa0c6ed61621dd301ec  gaim-1.3.1-0.el3.x86_64.rpm

Red Hat Enterprise Linux WS version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3WS/en/os/SRPMS/gaim-1.3.1-0.el3.src.rpm
6e3487b80f03bbbebc60b691ca140292  gaim-1.3.1-0.el3.src.rpm

i386:
28008d055a4e79ed522e10f0c50dc662  gaim-1.3.1-0.el3.i386.rpm

ia64:
e47396490f16e145080a04f3964cff85  gaim-1.3.1-0.el3.ia64.rpm

x86_64:
df11ddc642891aa0c6ed61621dd301ec  gaim-1.3.1-0.el3.x86_64.rpm

Red Hat Enterprise Linux AS version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/gaim-1.3.1-0.el4.src.rpm
acf732c6f6d85a78c86db1baa79ca5f4  gaim-1.3.1-0.el4.src.rpm

i386:
e0511ae1b636292034a7b4c14af1825c  gaim-1.3.1-0.el4.i386.rpm

ia64:
c26accad6a53da3e70df6477b8b01b16  gaim-1.3.1-0.el4.ia64.rpm

ppc:
ef64f758b59c02929996b3d26c6f2fba  gaim-1.3.1-0.el4.ppc.rpm

s390:
5841165c10a1c583b9159a74b1deea76  gaim-1.3.1-0.el4.s390.rpm

s390x:
12a2890b8e73f6c915177f40305cde6b  gaim-1.3.1-0.el4.s390x.rpm

x86_64:
b1ca26e267afa4bc370c1c6bceb895f6  gaim-1.3.1-0.el4.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/gaim-1.3.1-0.el4.src.rpm
acf732c6f6d85a78c86db1baa79ca5f4  gaim-1.3.1-0.el4.src.rpm

i386:
e0511ae1b636292034a7b4c14af1825c  gaim-1.3.1-0.el4.i386.rpm

x86_64:
b1ca26e267afa4bc370c1c6bceb895f6  gaim-1.3.1-0.el4.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/gaim-1.3.1-0.el4.src.rpm
acf732c6f6d85a78c86db1baa79ca5f4  gaim-1.3.1-0.el4.src.rpm

i386:
e0511ae1b636292034a7b4c14af1825c  gaim-1.3.1-0.el4.i386.rpm

ia64:
c26accad6a53da3e70df6477b8b01b16  gaim-1.3.1-0.el4.ia64.rpm

x86_64:
b1ca26e267afa4bc370c1c6bceb895f6  gaim-1.3.1-0.el4.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/gaim-1.3.1-0.el4.src.rpm
acf732c6f6d85a78c86db1baa79ca5f4  gaim-1.3.1-0.el4.src.rpm

i386:
e0511ae1b636292034a7b4c14af1825c  gaim-1.3.1-0.el4.i386.rpm

ia64:
c26accad6a53da3e70df6477b8b01b16  gaim-1.3.1-0.el4.ia64.rpm

x86_64:
b1ca26e267afa4bc370c1c6bceb895f6  gaim-1.3.1-0.el4.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and 
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1269
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-1934

8. Contact:

The Red Hat security contact is .  More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2005 Red Hat, Inc.